#pragma once

#include <J3ML/LinearAlgebra.h>
#include <J3ML/LinearAlgebra/Vector2.h>

namespace LinearAlgebra {
    class Matrix2x2 {
    public:
        static const Matrix2x2 Zero;
        static const Matrix2x2 Identity;
        static const Matrix2x2 NaN;

        Vector2 GetRow() const;
        Vector2 GetColumn() const;

    protected:
        float elems[2][2];
    };
}